package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

public class GiftCardInfo implements Serializable{

	/**
	 * 1.4	礼品卡表
	 */
	private static final long serialVersionUID = -8586695194238446199L;

	private Integer cardId;				//礼品卡id
	
	private String cardOpenId;			//代理商openid
	
	private String cardPassword;		//礼品卡密码
	
	private Integer cardStatus;			//礼品卡使用状态
	
	private Date cardCreateDate;		//创建时间 
	
	private Date cardUseDate;			//使用时间

	// ----------------------------------------------------------
	
	private Integer machineStatus;		// 礼品卡兑换后状态表
	
	private String machineColor;		// 机器颜色
	
	private String userMachineAddressName;	//收件人姓名
	
	private String userMachineAddressTel;		//收件人电话
	
	private String userMachineAddressInfo;		//收件人地址
	
	private String userMachinePostName;//快递名称
	
	private String userMachinePostNum;//快递单号

	public String getUserMachinePostName() {
		return userMachinePostName;
	}

	public void setUserMachinePostName(String userMachinePostName) {
		this.userMachinePostName = userMachinePostName;
	}

	public String getUserMachinePostNum() {
		return userMachinePostNum;
	}

	public void setUserMachinePostNum(String userMachinePostNum) {
		this.userMachinePostNum = userMachinePostNum;
	}

	public String getUserMachineAddressName() {
		return userMachineAddressName;
	}

	public void setUserMachineAddressName(String userMachineAddressName) {
		this.userMachineAddressName = userMachineAddressName;
	}

	public String getUserMachineAddressTel() {
		return userMachineAddressTel;
	}

	public void setUserMachineAddressTel(String userMachineAddressTel) {
		this.userMachineAddressTel = userMachineAddressTel;
	}

	public String getUserMachineAddressInfo() {
		return userMachineAddressInfo;
	}

	public void setUserMachineAddressInfo(String userMachineAddressInfo) {
		this.userMachineAddressInfo = userMachineAddressInfo;
	}

	public Integer getCardId() {
		return cardId;
	}

	public void setCardId(Integer cardId) {
		this.cardId = cardId;
	}

	public String getCardOpenId() {
		return cardOpenId;
	}

	public void setCardOpenId(String cardOpenId) {
		this.cardOpenId = cardOpenId;
	}

	public String getCardPassword() {
		return cardPassword;
	}

	public void setCardPassword(String cardPassword) {
		this.cardPassword = cardPassword;
	}

	public Integer getCardStatus() {
		return cardStatus;
	}

	public void setCardStatus(Integer cardStatus) {
		this.cardStatus = cardStatus;
	}

	public Date getCardCreateDate() {
		return cardCreateDate;
	}

	public void setCardCreateDate(Date cardCreateDate) {
		this.cardCreateDate = cardCreateDate;
	}

	public Date getCardUseDate() {
		return cardUseDate;
	}

	public void setCardUseDate(Date cardUseDate) {
		this.cardUseDate = cardUseDate;
	}

	public Integer getMachineStatus() {
		return machineStatus;
	}

	public void setMachineStatus(Integer machineStatus) {
		this.machineStatus = machineStatus;
	}

	public String getMachineColor() {
		return machineColor;
	}

	public void setMachineColor(String machineColor) {
		this.machineColor = machineColor;
	}
	
}
